MySQL 5.5.x < 5.5.53 多個弱點 (2016 年 10 月 CPU)

critical Nessus Plugin ID 94165

Synopsis

遠端資料庫伺服器受到多個弱點影響。

描述

遠端主機上安裝的 MySQL 5.5.x 版比 5.5.53 舊。因此,會受到多個弱點影響:- Optimizer 子元件中存在一個不明缺陷,會允許經驗證的遠端攻擊者造成拒絕服務情形。(CVE-2016-3492) - Security:Encryption 子元件中存在一個不明缺陷,經驗證的遠端攻擊者可藉以洩漏敏感資訊。(CVE-2016-5584) - MyISAM 子元件中存在一個不明缺陷,本機攻擊者可藉以取得提升的權限。(CVE-2016-5616) - Error Handling 子元件中存在一個不明缺陷,本機攻擊者可藉以取得提升的權限。(CVE-2016-5617) - GIS 子元件中存在一個不明缺陷,經驗證的遠端攻擊者可藉以造成拒絕服務情形。(CVE-2016-5626) - Federated 子元件中存在一個不明缺陷,經驗證的遠端攻擊者可藉以造成拒絕服務情形。(CVE-2016-5629) - 檔案 sql/sys_vars.cc 內的 check_log_path() 函式中存在一個缺陷,這是因為對於寫入至 my.cnf 組態檔案的能力限制不充分所致,其允許從非由目前版本使用的路徑位置載入組態檔案。經驗證的遠端攻擊者可惡意利用此問題,透過使用特製的查詢,利用記錄功能來建立新檔案或將自訂內容附加至現有檔案。這允許攻擊者插入使「malloc_lib=」指示詞指向特製 mysql_hookandroot_lib.so 檔案的自訂 .cnf 檔案,進而造成 MySQL 在下次啟動時載入惡意程式庫,來取得 root 權限。(CVE-2016-6662) - wolfSSL 中存在一個缺陷,尤其是在 AES 加密和解密的 C 軟體版本中,這是因為表格查詢未正確考量快取記憶庫存取時間所致。本機攻擊者可加以惡意利用,透過特製的應用程式洩漏 AES 金鑰。(CVE-2016-7440) - Types 子元件中存在一個不明缺陷,經驗證的遠端攻擊者可藉以造成拒絕服務情形。(CVE-2016-8283) 請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 MySQL 5.5.53 或更新版本。

另請參閱

http://www.nessus.org/u?bac902d5

https://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-53.html

http://www.nessus.org/u?fbd97f45

Plugin 詳細資訊

嚴重性: Critical

ID: 94165

檔案名稱: mysql_5_5_53.nasl

版本: 1.13

類型: remote

系列: Databases

已發布: 2016/10/20

已更新: 2019/11/14

組態: 啟用 Paranoid 模式

支持的傳感器: Frictionless Assessment Agent

風險資訊

VPR

風險因素: High

分數: 8.4

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 7.8

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:POC/RL:OF/RC:C

CVSS 評分資料來源: CVE-2016-6662

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/a:oracle:mysql

必要的 KB 項目: Settings/ParanoidReport

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2016/10/18

弱點發布日期: 2016/9/12

參考資訊

CVE: CVE-2016-3492, CVE-2016-5584, CVE-2016-5616, CVE-2016-5617, CVE-2016-5626, CVE-2016-5629, CVE-2016-6662, CVE-2016-7440, CVE-2016-8283

BID: 92912, 93612, 93614, 93638, 93650, 93659, 93668, 93735, 93737

EDB-ID: 40360